GNOME MPlayer not working on lubuntu 17.04

Asked by Juan P. Tamayo on 2017-09-25

After installing the 17.04 version of lubuntu amd64, I tried many times to play a video file on GNOME MPlayer, but it doesn't work.
I don't know what could be happen.
The software starts, but it doesn't play any video file.

Thanks a lot to anyone who could offer a solution to this problem.

Question information

Language:
English Edit question
Status:
Answered
For:
Ubuntu gnome-mplayer Edit question
Assignee:
No assignee Edit question
Last query:
2017-09-26
Last reply:
2017-09-26

What file format are you trying to play?

Juan P. Tamayo (tamayin86) said : #2

I can't play any avi or mp4 file.

Thanks.

If you run:

sudo apt-get install lubuntu-restricted-extras

Log off and log on is it OK?

Juan P. Tamayo (tamayin86) said : #4

I run it, but it still doesn't work.

Do other players like VLC work OK?

Juan P. Tamayo (tamayin86) said : #6

Others player works OK.

I'm not a media player kinda guy but at least you have a work around. Maybe others can assist

Manfred Hampl (m-hampl) said : #8

Do you get error messages displayed if you try starting
/usr/bin/gnome-mplayer
from within a terminal window?

Juan P. Tamayo (tamayin86) said : #9

Yes. I get the next error:

(gnome-mplayer:2438): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:23:18: not a number

(gnome-mplayer:2438): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:23:18: Expected a string.

(gnome-mplayer:2438): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:815:10: not a number

(gnome-mplayer:2438): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:815:24: Using Pango syntax for the font: style property is deprecated; please use CSS syntax

(gnome-mplayer:2438): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1953:14: not a number

(gnome-mplayer:2438): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1953:14: Expected a string.

(gnome-mplayer:2438): Gtk-WARNING **: Theme parsing error: nautilus.css:50:71: Using one color stop with linear-gradient() is deprecated.

(gnome-mplayer:2438): Gtk-WARNING **: Theme parsing error: nautilus.css:51:71: Using one color stop with linear-gradient() is deprecated.

(gnome-mplayer:2438): Gtk-WARNING **: Theme parsing error: gtk-lubuntu.css:252:14: not a number

(gnome-mplayer:2438): Gtk-WARNING **: Theme parsing error: gtk-lubuntu.css:252:14: Expected a string.

(gnome-mplayer:2438): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:23:18: not a number

(gnome-mplayer:2438): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:23:18: Expected a string.

(gnome-mplayer:2438): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:815:10: not a number

(gnome-mplayer:2438): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:815:24: Using Pango syntax for the font: style property is deprecated; please use CSS syntax

(gnome-mplayer:2438): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1953:14: not a number

(gnome-mplayer:2438): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1953:14: Expected a string.

(gnome-mplayer:2438): Gtk-WARNING **: Theme parsing error: nautilus.css:50:71: Using one color stop with linear-gradient() is deprecated.

(gnome-mplayer:2438): Gtk-WARNING **: Theme parsing error: nautilus.css:51:71: Using one color stop with linear-gradient() is deprecated.

(gnome-mplayer:2438): Gtk-WARNING **: Theme parsing error: gtk-lubuntu.css:252:14: not a number

(gnome-mplayer:2438): Gtk-WARNING **: Theme parsing error: gtk-lubuntu.css:252:14: Expected a string.
GMLIB-Message: after init: position=0,000 length=0,000 start_time=0,000 run_time=0,000 volume=0,00 player=dead media=unknown uri=

Manfred Hampl (m-hampl) said : #10

These are only warnings, I cannot see anything severe. So this is not helpful.

Juan P. Tamayo (tamayin86) said : #11

When I try to play any video file, I get this error:

(gnome-mplayer:2267): GLib-CRITICAL **: Source ID 784 was not found when attempting to remove it

(gnome-mplayer:2267): GLib-CRITICAL **: Source ID 785 was not found when attempting to remove it

(gnome-mplayer:2267): GLib-CRITICAL **: Source ID 786 was not found when attempting to remove it

(gnome-mplayer:2267): GLib-CRITICAL **: Source ID 784 was not found when attempting to remove it

(gnome-mplayer:2267): GLib-CRITICAL **: Source ID 786 was not found when attempting to remove it

(gnome-mplayer:2267): GLib-CRITICAL **: Source ID 785 was not found when attempting to remove it

Manfred Hampl (m-hampl) said : #12

Although these messages say "GLib-CRITICAL", they can safely be ignored, too - they are caused by Bug #1264368

Can you help with this problem?

Provide an answer of your own, or ask Juan P. Tamayo for more information if necessary.

To post a message you must log in.